import { select, range } from 'd3';

const svg = select('svg');
const width = +svg.attr('width');
const height = +svg.attr('height');
const centerX = width / 2;
const centerY = height / 2;

const show = kkk => {
  const numPoints = kkk.length;
  const nnn = kkk.map(d => {
    return {
      x: d.x * 35 + 10, 
      y: d.y * 35 + centerY};
  })

  const lines = range(numPoints).map(i => ({
    x1: nnn[i].x,
    y1: nnn[i].y,
    x2: nnn[(i + 1) % numPoints].x,
    y2: nnn[(i + 1) % numPoints].y
  }));
  
  const g = svg.append('g');

  g.selectAll('line').data(lines)
    .enter().append('line')
      .attr('x1', d => d.x1)
      .attr('y1', d => d.y1)
      .attr('x2', d => d.x2)
      .attr('y2', d => d.y2)
      .attr('stroke', 'red')
      .attr('stroke-width', 5);
};

const v = [0, 6.2, 4.5, 4.5, 4.1, 4.1];
const gap = 0.4;

const aaa = [
  { x: 0, y: 0},
  { x: 6.2, y: 3.5},
  { x: 6.2, y: -3.5}
];

const bbb = [
  { x: 6.6, y: 3.5},
  { x: 11.1, y: 0},
  { x: 6.6, y: -3.5}
];

const ccc = [
  { x: 11.5, y: 0},
  { x: 16.0, y: 3.5},
  { x: 16.0, y: -3.5}
];

const ddd = [
  { x: 16.4, y: 3.5},
  { x: 20.5, y: 1.5},
  { x: 20.5, y: -1.5},
  { x: 16.4, y: -3.5}
];

const eee = [
  { x: 20.9, y: 1.5},
  { x: 25, y: 0},
  { x: 20.9, y: -1.5}
];

show(aaa);
show(bbb);
show(ccc);
show(ddd);
show(eee);